#pragma once

#include <QComboBox>
#include "ComboBoxWidget.h"
#include "IxWidget.h"

class AutoCompleteComBoxWidget : public ComboBoxWidget// , IxWidget
{
	Q_OBJECT
public:
	static const QString type;

public:
	AutoCompleteComBoxWidget(QWidget *parent = nullptr);

	~AutoCompleteComBoxWidget();

	void setOptions(const QVariantMap &options);

	virtual void clear();

};
